Index: tests/functional/spec/toggle_with_legend.js
===================================================================
--- tests/functional/spec/toggle_with_legend.js	(revision 1606)
+++ tests/functional/spec/toggle_with_legend.js	(revision 1606)
@@ -0,0 +1,47 @@
+describe("Label clickable", function() {
+    it("Click arrow must make target visible", function() {
+	loadFixtures('menu.html');
+	$('#post_status').parent().toggleWithLegend($('#post_status'),{	});
+
+	var $arrow = $('#post_status').parent().find('img');
+	$arrow.click();
+	expect($('#post_status')).toBeVisible();
+    });
+    it("Click arrow twice,must make target visible and after second click hidden", function() {
+	loadFixtures('menu.html');
+	$('#post_status').parent().toggleWithLegend($('#post_status'),{	});
+
+	var $arrow = $('#post_status').parent().find('img');
+	$arrow.click();
+	expect($('#post_status')).toBeVisible();
+
+	$arrow.click();
+	expect($('#post_status')).toBeHidden();
+    });
+    it("Chick target must not hide target", function() {
+	loadFixtures('menu.html');
+	$('#post_status').parent().toggleWithLegend($('#post_status'),{	});
+
+	var $arrow = $('#post_status').parent().find('img');
+	$arrow.click();
+	expect($('#post_status')).toBeVisible();
+
+	$('#post_status option[value="-2"]').attr('selected', 'selected');
+	expect($('#post_status')).toBeVisible();
+    });
+    it("Chick target must not hide target, when legend_click is true", function() {
+	loadFixtures('menu.html');
+	var $label = $('#post_status').parent().children('label');
+	$label.toggleWithLegend($('#post_status'),{'legend_click':true, a_container:false});
+
+	$label.click();
+	expect($('#post_status')).toBeVisible();
+
+	var $arrow = $('#post_status').parent().find('img');
+	$arrow.click();
+	expect($('#post_status')).toBeVisible();
+
+	$('#post_status').val(-2).trigger('change');
+	expect($('#post_status')).toBeVisible();
+    });
+});
Index: tests/functional/spec/users_actions.js
===================================================================
--- tests/functional/spec/users_actions.js	(revision 1602)
+++ tests/functional/spec/users_actions.js	(revision 1602)
@@ -0,0 +1,25 @@
+describe("Permissions feature", function() {
+    it("Click admin persmission must checked all associated permissions", function() {
+	loadFixtures('normal.html');
+	$('#permissions-form').updatePermissionsForm();
+	var permissions = ['usage','publish','delete','contentadmin','categories'];
+
+	$('input[name="perm[default][admin]"]').click();
+	for (var _i=0,_len=permissions.length;_i<_len;_i++) {
+	    expect($('input[name="perm[default]['+permissions[_i]+']"]')).toBeChecked();
+	    expect($('input[name="perm[default]['+permissions[_i]+']"]')).toBeDisabled();
+	}
+    });
+
+    it("Click contentadmin persmission must checked all associated permissions", function() {
+	loadFixtures('normal.html');
+	$('#permissions-form').updatePermissionsForm();
+	var permissions = ['usage','publish','delete'];
+
+	$('input[name="perm[default][contentadmin]"]').click();
+	for (var _i=0,_len=permissions.length;_i<_len;_i++) {
+	    expect($('input[name="perm[default]['+permissions[_i]+']"]')).toBeChecked();
+	    expect($('input[name="perm[default]['+permissions[_i]+']"]')).toBeDisabled();
+	}
+    });
+});
Index: themes/customCSS/_config.php
===================================================================
--- themes/customCSS/_config.php	(revision 1179)
+++ themes/customCSS/_config.php	(revision 1454)
@@ -34,5 +34,5 @@
 
 echo
-'<p class="area"><label>'.__('Style sheet:').' '.
-form::textarea('css',60,20,html::escapeHTML($css_content)).'</label></p>';
+'<p class="area"><label>'.__('Style sheet:').'</label> '.
+form::textarea('css',60,20,html::escapeHTML($css_content)).'</p>';
 ?>
Index: themes/ductile/_config.php
===================================================================
--- themes/ductile/_config.php	(revision 1096)
+++ themes/ductile/_config.php	(revision 1622)
@@ -54,5 +54,5 @@
 
 $fonts = array(
-	__('default') => '',
+	__('Default') => '',
 	__('Ductile primary') => 'Ductile body',
 	__('Ductile secondary') => 'Ductile alternate',
@@ -471,6 +471,6 @@
 	'<td class="handle minimal">'.form::field(array('order['.$i.']'),2,3,$count,'position','',false).
 		form::hidden(array('dynorder[]','dynorder-'.$i),$i).'</td>'.
-	'<td>'.form::hidden(array('sticker_image[]'),$v['image']).'<img src="'.$img_url.$v['image'].'" /> '.'</td>'.
-	'<td scope="raw">'.form::field(array('sticker_label[]','dsl-'.$i),20,255,$v['label']).'</td>'.
+	'<td>'.form::hidden(array('sticker_image[]'),$v['image']).'<img src="'.$img_url.$v['image'].'" alt="'.$v['image'].'" /> '.'</td>'.
+	'<td scope="row">'.form::field(array('sticker_label[]','dsl-'.$i),20,255,$v['label']).'</td>'.
 	'<td>'.form::field(array('sticker_url[]','dsu-'.$i),40,255,$v['url']).'</td>'.
 	'</tr>';
@@ -496,5 +496,5 @@
 	echo 
 		'<tr>'.
-		'<td scope="raw">'.$contexts[$k].'</td>'.
+		'<td scope="row">'.$contexts[$k].'</td>'.
 		'<td>'.form::hidden(array('list_ctx[]'),$k).form::combo(array('list_type[]'),$list_types,$v).'</td>';
 	if (array_key_exists($k,$ductile_counts)) {
@@ -517,5 +517,5 @@
 echo '</fieldset>';
 
-echo '<input type="hidden" name="conf_tab" value="html">';
+echo '<p><input type="hidden" name="conf_tab" value="html" /></p>';
 echo '<p class="clear">'.form::hidden('ds_order','').'<input type="submit" value="'.__('Save').'" />'.$core->formNonce().'</p>';
 echo '</form>';
@@ -540,5 +540,5 @@
 (!empty($ductile_user['body_font']) ? ' '.fontDef($ductile_user['body_font']) : '').
 '</p>'.
-'<p class="form-note">'.__('Set main font to default to use webfont below.').'</p> '.
+'<p class="form-note">'.__('Set main font to Default to use webfont below.').'</p> '.
 '<p class="field"><label for="body_webfont_family">'.__('Webfont family:').'</label> '.
 form::field('body_webfont_family',25,255,$ductile_user['body_webfont_family']).'</p>'.
@@ -554,5 +554,5 @@
 (!empty($ductile_user['alternate_font']) ? ' '.fontDef($ductile_user['alternate_font']) : '').
 '</p>'.
-'<p class="form-note">'.__('Set secondary font to default to use webfont below.').'</p> '.
+'<p class="form-note">'.__('Set secondary font to Default to use webfont below.').'</p> '.
 '<p class="field"><label for="alternate_webfont_family">'.__('Webfont family:').'</label> '.
 form::field('alternate_webfont_family',25,255,$ductile_user['alternate_webfont_family']).'</p>'.
@@ -674,5 +674,5 @@
 echo '</div>';
 
-echo '<input type="hidden" name="conf_tab" value="css">';
+echo '<p><input type="hidden" name="conf_tab" value="css" /></p>';
 echo '<p class="clear"><input type="submit" value="'.__('Save').'" />'.$core->formNonce().'</p>';
 echo '</form>';
